import type { RefObject } from "react";
export declare function useMediaAspectRatio<T extends HTMLImageElement | HTMLVideoElement = any>(): {
    ref: RefObject<T>;
    aspectRatio: number;
};
export declare function useMediaAspectRatio<T extends HTMLImageElement | HTMLVideoElement = any>(params: {
    ref: RefObject<T>;
}): {
    aspectRatio: number;
};
